Integrations
Create integration
Creates a new external integration.
curl -X POST "https://api.neostra.io/api/v1/integrations" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-d '{
"name": "AWS S3 Integration",
"type": "S3",
"config": {},
"enabled": true
}'
import requests
import json
url = "https://api.neostra.io/api/v1/integrations"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
data = {
"name": "AWS S3 Integration",
"type": "S3",
"config": {},
"enabled": true
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.neostra.io/api/v1/integrations", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
},
body: JSON.stringify({
"name": "AWS S3 Integration",
"type": "S3",
"config": {},
"enabled": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "AWS S3 Integration",
"type": "S3",
"config": {},
"enabled": true
}`)
req, err := http.NewRequest("POST", "https://api.neostra.io/api/v1/integrations", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.neostra.io/api/v1/integrations')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request.body = '{
"name": "AWS S3 Integration",
"type": "S3",
"config": {},
"enabled": true
}'
response = http.request(request)
puts response.body
{
"status": 200,
"message": "Success",
"data": {},
"errors": [
"example_string"
]
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
POST
/api/v1/integrations
POST
Bearer Token (JWT)
Bearer Tokenstring
RequiredJWT bearer token for authentication
JWT bearer token for authentication
Content-Typestring
RequiredThe media type of the request body
Options: application/json
namestring
Name of the integration
typestring
Integration type
configobject
Integration-specific configuration
enabledboolean
Whether the integration is active
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token (JWT). JWT bearer token for authentication
Body
application/json
namestring
Name of the integration
typestring
Integration type
configobject
Integration-specific configuration
enabledboolean
Whether the integration is active
Responses
Was this page helpful?
Last updated 1 week ago
Built with Documentation.AI